Bug 418109 - Unable to drag items from results list.
Summary: Unable to drag items from results list.
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Plasma
Component: general (show other bugs)
Version: 5.18.1
Platform: Kubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Kai Uwe Broulik
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2020-02-23 22:04 UTC by Mauricio González
Modified: 2020-04-02 06:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.18.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mauricio González 2020-02-23 22:04:20 UTC
SUMMARY
The ability to drag files directly from the krunner results list it's gone.

STEPS TO REPRODUCE
1. Search for a file on krunner.
2. Try to drag the desired file.

OBSERVED RESULT
The file just highlight after dragging it.

EXPECTED RESULT
As on previous releases, any file from the result should be draggable.

SOFTWARE/OS VERSIONS
Operating System: Kubuntu 19.10
KDE Plasma Version: 5.18.1
KDE Frameworks Version: 5.67.0
Qt Version: 5.12.4
Kernel Version: 5.3.0-40-generic
OS Type: 64-bit

ADDITIONAL INFORMATION
Comment 1 Mauricio González 2020-03-05 03:06:35 UTC
Is there any news on this? I really use this feature and I would like to cooperate to make the fix asap.
Comment 2 Nate Graham 2020-03-05 04:16:53 UTC
If you'd like to submit a patch, please feel free! :) The documentation can be found at:
- https://community.kde.org/Get_Involved/development
- https://community.kde.org/Infrastructure/Phabricator
Comment 3 Mauricio González 2020-03-05 04:48:37 UTC
(In reply to Nate Graham from comment #2)
> If you'd like to submit a patch, please feel free! :) The documentation can
> be found at:
> - https://community.kde.org/Get_Involved/development
> - https://community.kde.org/Infrastructure/Phabricator

SO there no news regarding a fix?
Comment 4 Nate Graham 2020-03-05 14:09:02 UTC
Oh sorry, I misunderstood you. When you said, "I really use this feature" I thought you had already implemented it, and when you said, "I would like to cooperate to make the fix asap." I thought that means that you wanted to submit the fix for consideration.

If that's not the case, I apologize for the misunderstanding. I'm not aware of anyone else working on this right now. Feel free to, if you'd like to try.
Comment 5 Mauricio González 2020-03-05 21:19:29 UTC
(In reply to Nate Graham from comment #4)
> Oh sorry, I misunderstood you. When you said, "I really use this feature" I
> thought you had already implemented it, and when you said, "I would like to
> cooperate to make the fix asap." I thought that means that you wanted to
> submit the fix for consideration.
> 
> If that's not the case, I apologize for the misunderstanding. I'm not aware
> of anyone else working on this right now. Feel free to, if you'd like to try.

It's a shame that no one it's working on this, I have never worked with KDE before and my days of C++ programming are just too far. I will check if have time, but I'm not sure how to even start and where it's the git repository to check what mess up.
Comment 6 Nate Graham 2020-03-05 22:03:44 UTC
The code for KRunner itself is at https://cgit.kde.org/krunner.git/. The code for the Plasma Breeze theming for it is at https://cgit.kde.org/plasma-workspace.git/tree/krunner
Comment 7 Kai Uwe Broulik 2020-04-02 06:26:44 UTC
Git commit 92ecad19708db75fb35d912e172f026dc2d41606 by Kai Uwe Broulik.
Committed on 02/04/2020 at 06:26.
Pushed by broulik into branch 'Plasma/5.18'.

Move QMimeData registration back to where it belongs

Fixes regression introduced in 7a6b1a037e65f35d86924910e24ca79ea80b4ae4
FIXED-IN: 5.18.5

Differential Revision: https://phabricator.kde.org/D28485

M  +1    -6    lib/previewplugin.cpp
M  +6    -0    lib/qml/qmlplugins.cpp

https://commits.kde.org/milou/92ecad19708db75fb35d912e172f026dc2d41606